# __gnu_debug::_Error_formatter Class Reference

List of all members.

## Detailed Description

Definition at line 120 of file formatter.h.

## Public Member Functions

- void _M_error () const
- const _Error_formatter & _M_integer (long __value, const char *__name=0) const
- template<typename _Iterator> const _Error_formatter & _M_iterator (const _Iterator &__it, const char *__name=0) const
- const _Error_formatter & _M_message (_Debug_msg_id __id) const
- const _Error_formatter & _M_message (const char *__text) const
- template<typename _Sequence> const _Error_formatter & _M_sequence (const _Sequence &__seq, const char *__name=0) const
- const _Error_formatter & _M_string (const char *__value, const char *__name=0) const

## Static Public Member Functions

- static _Error_formatter _M_at (const char *__file, size_t __line)

## Friends

- struct _Parameter

The documentation for this class was generated from the following file:

- formatter.h